ros-rolling-rqt-joint-trajectory-controller (6.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Dec 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (6.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Dec 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (6.0.0-1noble) noble; urgency=high

  * fix issue of not listing new JTCs (#1891 <https://github.com/ros-controls/ros2_controllers/issues/1891>)
  * Contributors: Peter Mitrano (AR)

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Nov 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (5.8.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 02 Oct 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (5.7.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 12 Sep 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (5.6.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 30 Aug 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (5.6.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Aug 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (5.5.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 31 Jul 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (5.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Jul 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (5.3.0-1noble) noble; urgency=high

  * fix rqt_joint_trajectory_controller for robots with namespace (#1792 <https://github.com/ros-controls/ros2_controllers/issues/1792>)
  * Contributors: Oscar Lima

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 14 Jul 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (5.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 23 Jun 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (5.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 11 Jun 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (5.0.2-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 26 May 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (5.0.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 24 May 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (5.0.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 17 May 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.24.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Apr 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.23.0-1noble) noble; urgency=high

  * Bump version of pre-commit hooks (#1618 <https://github.com/ros-controls/ros2_controllers/issues/1618>)
  * Contributors: github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Apr 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.22.0-1noble) noble; urgency=high

  * [JTC] Accept larger number of joints than command_joints (#809 <https://github.com/ros-controls/ros2_controllers/issues/809>)
  * Update documentation of rqt_joint_trajectory_controller (#1578 <https://github.com/ros-controls/ros2_controllers/issues/1578>)
  * Contributors: Aditya Pawar, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Mar 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.21.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Mar 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.20.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Jan 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.19.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Jan 2025 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.18.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Dec 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.17.0-1noble) noble; urgency=high

  * Update maintainers and add url tags (#1363 <https://github.com/ros-controls/ros2_controllers/issues/1363>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 07 Dec 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.16.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Nov 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.15.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.14.0-1noble) noble; urgency=high

  * Fix bug for displaying all controllers (#1259 <https://github.com/ros-controls/ros2_controllers/issues/1259>)
  * Contributors: Francisco Martín Rico

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 11 Sep 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.13.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Aug 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.12.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 14 Aug 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.12.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.11.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 09 Jul 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.10.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Jul 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.9.0-1noble) noble; urgency=high

  * [RQT-JTC] limits from jtc controlled joints (#1146 <https://github.com/ros-controls/ros2_controllers/issues/1146>)
  * Contributors: Jakub Delicat

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 05 Jun 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.8.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 May 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.7.0-1noble) noble; urgency=high

  * [CI] Code coverage + pre-commit (#1057 <https://github.com/ros-controls/ros2_controllers/issues/1057>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Mar 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.6.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.5.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 11 Jan 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.3.0-1noble) noble; urgency=high

  * Add rqt_JTC to docs (#950 <https://github.com/ros-controls/ros2_controllers/issues/950>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jan 2024 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.2.0-1noble) noble; urgency=high

  * Fix rqt jtc bugs for continuous joints and other minor bugs (#890 <https://github.com/ros-controls/ros2_controllers/issues/890>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Dec 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (4.0.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 Nov 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.17.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Oct 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.16.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Sep 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.15.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Sep 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.14.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Aug 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.13.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 04 Aug 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.12.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 18 Jul 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.11.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 24 Jun 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.10.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Jun 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.10.0-1noble) noble; urgency=high

  * Adapted rqt_jtc to newest control_msgs for jtc (#643 <https://github.com/ros-controls/ros2_controllers/issues/643>)
  * Contributors: gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 04 Jun 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.9.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 28 May 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.8.0-1noble) noble; urgency=high

  * switch from dash to underscore in setup.cfg (#595 <https://github.com/ros-controls/ros2_controllers/issues/595>)
  * Contributors: Alex Moriarty

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 14 May 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.7.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 May 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.6.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 29 Apr 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.5.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 14 Apr 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Apr 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.3.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Jan 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (3.0.0-1noble) noble; urgency=high

  * 🔧 Fixes and updated on pre-commit hooks and their action (#492 <https://github.com/ros-controls/ros2_controllers/issues/492>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.15.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.14.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.13.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 05 Oct 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.12.0-1noble) noble; urgency=high

  * fix: :bug: make bare exceptions more narrow (#422 <https://github.com/ros-controls/ros2_controllers/issues/422>)
  * Fix formatting because pre-commit was not running on CI for some time. (#409 <https://github.com/ros-controls/ros2_controllers/issues/409>)
  * Contributors: Denis Štogl, Jaron Lundwall

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 01 Sep 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.11.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 04 Aug 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.10.0-1noble) noble; urgency=high

  * Formatting changes from pre-commit (#400 <https://github.com/ros-controls/ros2_controllers/issues/400>)
  * port rqt_joint_trajectory_controller to ros2 (#356 <https://github.com/ros-controls/ros2_controllers/issues/356>)
  * Contributors: Bence Magyar, Noel Jiménez García, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 Aug 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.9.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Jul 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.8.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Jul 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.7.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Jul 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.6.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 18 Jun 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.5.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 13 May 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.3.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Apr 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Mar 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.0.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 01 Feb 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (2.0.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Jan 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (1.3.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (1.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (1.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Oct 2021 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (1.0.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Sep 2021 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (0.5.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 Aug 2021 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (0.4.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 08 Jul 2021 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (0.4.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 Jun 2021 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (0.3.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 May 2021 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (0.3.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 May 2021 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (0.2.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 May 2021 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (0.2.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 06 Feb 2021 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (0.1.2-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 07 Jan 2021 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (0.1.1-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 06 Jan 2021 00:00:00 -0000

ros-rolling-rqt-joint-trajectory-controller (0.1.0-1noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Dec 2020 00:00:00 -0000


